Package org.osgi.framework.wiring.dto

# Class BundleWiringDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.framework.wiring.dto.BundleWiringDTO

public class BundleWiringDTO extends DTO
Data Transfer Object for a BundleWiring graph.

An installed Bundle can be adapted to provide a `BundleWiringDTO` for the current wiring Bundle. `BundleWiringDTO` objects for all in use wirings of the Bundle can be obtained by adapting the bundle to `BundleWiringDTO[]`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BundleWiringDTO.NodeDTO`
Data Transfer Object for a BundleWiring node.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`bundle`
The id of the bundle associated with the bundle wiring graph.
`Set<BundleWiringDTO.NodeDTO>`
`nodes`
The set of wiring nodes referenced by the wiring graph.
`Set<BundleRevisionDTO>`
`resources`
The set of resources referenced by the wiring graph.
`int`
`root`
The identifier of the root wiring node of the bundle wiring graph.

## Constructor Summary

Constructors
Constructor
Description
`BundleWiringDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### bundle

public long bundle
The id of the bundle associated with the bundle wiring graph.

See Also:
  - `BundleReference.getBundle()`

### root

public int root
The identifier of the root wiring node of the bundle wiring graph.

See Also:
  - `WiringDTO.id`

### nodes

public Set<BundleWiringDTO.NodeDTO> nodes
The set of wiring nodes referenced by the wiring graph.

All wiring nodes referenced by wiring node identifiers in the wiring graph are contained in this set.

### resources

public Set<BundleRevisionDTO> resources
The set of resources referenced by the wiring graph.

All resources referenced by resource identifiers in the wiring graph are contained in this set.

## Constructor Details

### BundleWiringDTO

public BundleWiringDTO()